# rtph265pay

Payload-encode H265 video into RTP packets (RFC 7798)

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstRTPBasePayload
                        ╰──rtph265pay

## Factory details

Authors: – Jurgen Slowack

Classification: – `Codec/Payloader/Network/RTP`

Rank – secondary

Plugin – rtp

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-h265:
      stream-format: hvc1
          alignment: au
    video/x-h265:
      stream-format: byte-stream
          alignment: { (string)nal, (string)au }

Presence – always

Direction – sink

Object type – GstPad

### `src`

    application/x-rtp:
              media: video
            payload: [ 96, 127 ]
         clock-rate: 90000
      encoding-name: H265

Presence – always

Direction – src

Object type – GstPad

## Properties

### aggregate-mode

    “aggregate-mode” Rtp-h265aggregate-mode *

Bundle suitable SPS/PPS NAL units into STAP-A aggregate packets.

This can potentially reduce RTP packetization overhead but not all RTP implementations handle it correctly.

For best compatibility, it is recommended to set this to "none" (the default) for RTSP and for WebRTC to "zero-latency".

Flags : Read / Write

Default value : none (0)

Since : 1.18

### config-interval

    “config-interval” gint

Send VPS, SPS and PPS Insertion Interval in seconds (sprop parameter sets will be multiplexed in the data stream when detected.) (0 = disabled, -1 = send with every IDR frame)

Flags : Read / Write

Default value : 0

## Named constants

### Rtp-h265aggregate-mode

#### Members

`none` (0) – Do not aggregate NAL units
`zero-latency` (1) – Aggregate NAL units until a VCL or suffix unit is included
`max` (2) – Aggregate all NAL units with the same timestamp (adds one frame of latency)

The results of the search are